org.apache.storm.perf

## Class ConstSpoutNullBoltTopo

- java.lang.Object
- - org.apache.storm.perf.ConstSpoutNullBoltTopo

-     public class ConstSpoutNullBoltTopo
      extends Object

  This topo helps measure the messaging peak throughput between a spout and a bolt.

  Spout generates a stream of a fixed string.

  Bolt will simply ack and discard the tuple received.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOLT_COUNT`
    `static String` | `BOLT_ID`
    `static String` | `DEFAULT_GROUPING`
    `static String` | `GROUPING`
    `static String` | `LOCAL_GROPING`
    `static String` | `SHUFFLE_GROUPING`
    `static String` | `SPOUT_COUNT`
    `static String` | `SPOUT_ID`
    `static String` | `TOPOLOGY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstSpoutNullBoltTopo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` ConstSpout -> DevNullBolt with configurable grouping (default localOrShuffle).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOPOLOGY_NAME

          public static final String TOPOLOGY_NAME

      See Also:
        Constant Field Values

    - #### SPOUT_ID

          public static final String SPOUT_ID

      See Also:
        Constant Field Values

    - #### BOLT_ID

          public static final String BOLT_ID

      See Also:
        Constant Field Values

    - #### BOLT_COUNT

          public static final String BOLT_COUNT

      See Also:
        Constant Field Values

    - #### SPOUT_COUNT

          public static final String SPOUT_COUNT

      See Also:
        Constant Field Values

    - #### GROUPING

          public static final String GROUPING

      See Also:
        Constant Field Values

    - #### LOCAL_GROPING

          public static final String LOCAL_GROPING

      See Also:
        Constant Field Values

    - #### SHUFFLE_GROUPING

          public static final String SHUFFLE_GROUPING

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUPING

          public static final String DEFAULT_GROUPING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstSpoutNullBoltTopo

          public ConstSpoutNullBoltTopo()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      ConstSpout -> DevNullBolt with configurable grouping (default localOrShuffle).

      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.